export default {
  path: "/background",
  meta: {
    title: "管理后台",
    rank: 6
  },
  children: [
    {
      path: "/background/framework",
      name: "backgroundIndex",
      meta: {
        title: "组织架构"
      },
      children: [
        {
          path: "/background/framework/prosonDepartment",
          name: "prosonDepartment",
          meta: {
            title: "人员与部门",
            showParent: true
          },
          component: () =>
            import("@/views/background/framework/prosonDepartment.vue")
        },
        {
          path: "/background/framework/rolePower",
          name: "rolePower",
          meta: {
            title: "角色与权限",
            showParent: true
          },
          component: () => import("@/views/background/framework/rolePower.vue")
        },
        {
          path: "/background/framework/users",
          name: "users",
          meta: {
            title: "用户组",
            showParent: true
          },
          component: () => import("@/views/background/framework/users.vue")
        }
      ]
    }
  ]
} satisfies RouteConfigsTable;
